Vector::BLF::AfdxLineStatus(3)

NAME
Vector::BLF::AfdxLineStatus

SYNOPSIS

#include <AfdxLineStatus.h>

  Public Member Functions
AfdxLineStatus (const AfdxLineStatus &)=default
AfdxLineStatus & operator= (const AfdxLineStatus &)=default
AfdxLineStatus (AfdxLineStatus &&)=default
AfdxLineStatus & operator= (AfdxLineStatus &&)=default
virtual void read (AbstractFile &is)
virtual void write (AbstractFile &os)
virtual uint32_t calculateObjectSize () const

  Public Attributes
uint16_t flags {}
uint8_t linkStatus {}
uint8_t ethernetPhy {}
uint8_t duplex {}
uint8_t mdi {}
uint8_t connector {}
uint8_t clockMode {}
uint8_t pairs {}
uint8_t reservedAfdxLineStatus1 {}
uint16_t reservedAfdxLineStatus2 {}
uint32_t bitrate {}

Detailed Description

line A/B information in AfdxStatus class

Member Function Documentation

  uint32_t Vector::BLF::AfdxLineStatus::calculateObjectSize () const [virtual]

Calculates the objectSize

Returns
    object size

  void Vector::BLF::AfdxLineStatus::read (AbstractFile & is) [virtual]

Read the data of this object

Parameters
    is input stream

  void Vector::BLF::AfdxLineStatus::write (AbstractFile & os) [virtual]

Write the data of this object

Parameters
    os output stream

Member Data Documentation

  uint32_t Vector::BLF::AfdxLineStatus::bitrate {}
Bitrate in [kbit/sec]

  uint8_t Vector::BLF::AfdxLineStatus::clockMode {}
Clock Mode

•   0 - Unknown

•   1 - Master

•   2 - Slave

  uint8_t Vector::BLF::AfdxLineStatus::connector {}
Connector

•   0 - Unknown

•   1 - RJ45

•   2 - D-Sub

  uint8_t Vector::BLF::AfdxLineStatus::duplex {}
Duplex

•   0 - Unknown

•   1 - Half Duplex

•   2 - Full Duplex

  uint8_t Vector::BLF::AfdxLineStatus::ethernetPhy {}
Eternet Phy

•   0 - Unknown

•   1 - IEEE 802.3

•   2 - BroadR-Reach

  uint16_t Vector::BLF::AfdxLineStatus::flags {}
Flags

•   Bit 0 - Link Status

•   Bit 1 - Bitrate

•   Bit 2 - Ethernet Phy

•   Bit 3 - Duplex

  uint8_t Vector::BLF::AfdxLineStatus::linkStatus {}
Link Status

•   0 - Unknown

•   1 - Link down

•   2 - Link up

•   3 - Negotiate

•   4 - Link error

  uint8_t Vector::BLF::AfdxLineStatus::mdi {}
MDI

•   0 - Unknown

•   1 - Direct

•   2 - Crossover

  uint8_t Vector::BLF::AfdxLineStatus::pairs {}
Pairs

•   0 - Unknown

•   1 - BR 1-pair

•   2 - BR 2-pair

•   3 - BR 4-pair

  uint8_t Vector::BLF::AfdxLineStatus::reservedAfdxLineStatus1 {}
reserved

  uint16_t Vector::BLF::AfdxLineStatus::reservedAfdxLineStatus2 {}
reserved

Author

Generated automatically by Doxygen for Vector BLF from the source code.